<?php

class formFieldsPeriodOptions extends cmsForm {

    public function init(){

    return array(
        array(
            'type' => 'fieldset',
            'title' => 'Настройки',
            'childs' => array(

                new fieldList('ctype_name', array(
                    'title' => LANG_CONTENT_TYPE,
                    'generator' => function($item) {
                        $model = cmsCore::getModel('content');
                        $tree = $model->getContentTypes();
                        $items = array();
                        if ($tree) {
                            foreach ($tree as $item) {
                                $items[$item['name']] = $item['title'];
                            }
                        }
                        return $items;
                    },
                )),

                new fieldText('fields_list', array(
                    'title' => 'Список полей',
                    'hint' => 'Каждое системное имя поля нужно добавлять на новой строке. Если список оставить пустым, то проверятся будут все платные поля.'
                )),

                new fieldNumber('period_days', array(
                    'title' => 'Через сколько дней истекает срок платных полей',
                    'units' => 'дней',
                    'default' => 7
                )),

            )
        )
    );

    }

}